TestCategoryCaller< UTType > Class Template Reference

`#include <TestCategoryCaller.h>`

Inheritance diagram for TestCategoryCaller< UTType >:

## Public Types

typedef void(UTType::* | TCMType) ()

## Public Member Functions

| TestCategoryCaller (std::string n, TestSuite *s, UTType *o, TCMType m)
void | run (void)
Public Member Functions inherited from TestCategory
| TestCategory (const std::string &n, TestSuite *s)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

UTType * | UTObject
TCMType | TestMethod

## Member Typedef Documentation

## TCMType

template<class UTType>

typedef void(UTType::* TestCategoryCaller< UTType >::TCMType) ()

## Constructor & Destructor Documentation

## TestCategoryCaller()

template<class UTType>

TestCategoryCaller< UTType >::TestCategoryCaller | ( | std::string | n,
|  | TestSuite * | s,
|  | UTType * | o,
|  | TCMType | m )

inline

## Member Function Documentation

## run()

template<class UTType>

void TestCategoryCaller< UTType >::run | ( | void |  | ) |

inline virtual

Implements Test.

## Member Data Documentation

## TestMethod

template<class UTType>

TCMType TestCategoryCaller< UTType >::TestMethod

private

## UTObject

template<class UTType>

UTType* TestCategoryCaller< UTType >::UTObject

private

The documentation for this class was generated from the following file:

- TestCategoryCaller.h